@import url("https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Google Sans", sans-serif;
}
header > nav {
  background-color: rgba(238, 237, 237, 0.527);
  border-radius: 2rem;
  display: flex;
  gap: 2.5vw;
  justify-content: center;
  padding: 0 2rem;
  backdrop-filter: blur(10px);
  font-size: min(3vw, 16px);
  -webkit-box-shadow: 0px 1px 19px -5px #949494;
  box-shadow: 0px 1px 19px -5px #949494;
}
img {
  width: 100%;
  max-height: 100%;
}
a {
  text-decoration: none;
  color: black;
}
a:hover {
  color: black;
}
header {
  display: flex;
  justify-content: center;
  position: sticky;
  top: 0;
  z-index: 10;
}
.navig-link {
  text-decoration: none;
  padding: 0.25rem 0.5rem;
  border-radius: 10px;
}
.navig-link:hover {
  background-color: white;
}
.hero-button {
  text-decoration: none;
  border: 2px solid black;
  padding: 0.75rem 0;
  border-radius: 10px;
  font-weight: bold;
  width: min(30vw, 142px);
  text-align: center;
  font-size: min(3vw, 16px);
}
.hero-button:hover {
  background-color: black;
  color: white;
}
.hero-button::before {
  font-family: "FontAwesome";
  padding-right: 6px;
}
.hero-buttons {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.dwn-btn::before {
  content: "\f019";
}
.contact-btn::before {
  font: var(--fa-font-regular);
  content: "\f0e0";
}
.blog-btn::before {
  content: "\f1ea";
}
.person-photo {
  width: min(90vw, 400px);
}
.person-photo img {
  border-radius: 50%;
  height: min(90vw, 400px);
  object-fit: fill;
  margin-bottom: 10px;
}
.hero-section-1 {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.hero-section-2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
  min-height: 450px;
  text-align: center;
  padding-top: 10px;
}
.hero-section-2 h1 {
  font-size: clamp(40px, 3.5vw, 50px);
  font-weight: bolder;
}
.hero-section-2 h2 {
  font-size: 25px;
}
.hero-address {
  display: flex;
  justify-content: center;
  gap: 1rem;
  color: gray;
  margin-top: 2rem;
}
.hero-address a {
  color: gray;
}
.hero-address a:hover {
  color: black;
}
.hero-icons,
.footer-icons {
  font-size: 25px;
  display: flex;
  gap: 15px;
  justify-content: center;
}
.programming-languages {
  display: flex;
  gap: 2rem;
  justify-content: center;
  flex-wrap: wrap;
}
.prog-language {
  background-color: rgba(220, 220, 220, 0.774);
  padding: 20px;
  padding-bottom: 0;
  width: min(40vw, 200px);
  border-radius: 20px;
  border: 1px solid rgb(223, 223, 223);
}
.prog-language p {
  padding: 10px 0;
  font-weight: bold;
}
.prog-language img {
  height: 80px;
}
.education {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 4rem;
}
.education > div > p {
  font-weight: bold;
  color: gray;
  font-size: larger;
}
.education-specific {
  width: 390px;
  height: 120px;
}
.univeristy-logo {
  width: 40px;
}
.education-specific {
  font-size: 12px;
}
.degree-title {
  font-size: 14px;
}
.university-description {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  color: #707070;
  margin-bottom: 10px;
}
.education-container {
  position: relative;
}
.education-decor {
  position: absolute;
  left: -36px;
  align-items: center;
}
.vertical-line {
  background-color: #7070709d;
  width: 1px;
  height: 145px;
  position: absolute;
  left: 3px;
  top: -10px;
}
.small-circle {
  height: 8px;
  position: absolute;
  top: 4px;
  aspect-ratio: 1;
  background-color: gray;
  border-radius: 50%;
  -webkit-box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.082);
  box-shadow: 0px 0px 0px 5px rgba(0, 0, 0, 0.082);
}
.degree-year {
  padding-left: 10px;
  margin-top: 10px;
}
.educations {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}
.upper-case {
  text-transform: uppercase;
}
.bold {
  font-weight: bold;
}
.soft-skill-card-container {
  width: 450px;
  display: grid;
  gap: 1rem;
}
.soft-skill-card {
  display: flex;
  height: 70px;
  background: rgba(220, 220, 220, 0.774);
  align-items: center;
  width: 100%;
  font-weight: bold;
  padding: 0 0.5rem;
  border-radius: 10px;
  border: 0.5px solid rgba(128, 128, 128, 0.247);
}
.icon-container {
  height: 2.5rem;
  aspect-ratio: 1;
  padding: 0.5rem;
}
.icon-container > img {
  height: 1.15rem;
  aspect-ratio: 1;
}
.get-in-touch-warper,
.contact-me-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 3rem;
}
.get-in-touch,
.contact-me {
  background-color: rgba(220, 220, 220, 0.774);
  padding: 3rem;
  text-align: center;
  border-radius: 20px;
  width: 900px;
}
.get-in-touch h1,
.form-title {
  font-size: min(4rem, 8vw);
  font-weight: bolder;
}
.get-in-touch h1 span {
  color: gray;
  display: block;
}
.get-in-touch-link-wrapper {
  margin-top: 10px;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.black-button,
.gray-button {
  padding: min(20px, 2vw) min(40px, 7vw);
  background-color: #d3d3d3;
  border-radius: 40px;
  font-weight: bold;
}
.black-button {
  background-color: black;
  color: white;
}
.black-button:hover {
  background-color: #949494;
}
.gray-button:hover {
  background-color: black;
  color: white;
}
.contact-me {
  width: 100vw !important;
}
footer {
  background-color: rgba(220, 220, 220, 0.774);
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  margin-top: 2rem;
  padding: 20px 0;
  border-top: 1px solid rgba(128, 128, 128, 0.329);
}
.information-wrapper :nth-child(1) {
  font-weight: bold;
}
footer > nav {
  margin-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
footer > nav > a:hover {
  color: gray;
}
.form-title {
  text-align: center;
}
.form-title span {
  color: #949494;
  display: block;
}
.contact-me input,
.contact-me textarea {
  width: 100%;
  padding: 0.75rem;
  border: none;
  border-radius: 10px;
}
.contact-me input:focus-visible,
.contact-me textarea:focus-visible {
  outline: 2px solid #949494;
}
.contact-me label {
  font-weight: bold;
  text-align: left;
  width: 100%;
  margin-block: 0.5rem;
}
.contact-me textarea {
  font-weight: 400;
  height: 150px;
  resize: none;
}
.contact-me button {
  border: none;
  padding: min(12px, 2vw) min(40px, 7vw);
}
.submit-button-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 1.5rem;
}
.side-line {
  /* content: ""; */
  background-color: #707070;
  height: 2px;
  width: 50px;
}

.title-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
@media (min-width: 768px) {
  .soft-skill-card-container {
    grid-template-columns: repeat(2, clamp(200px, 22vw, 250px));
    font-size: 13px;
  }
}
@media (min-width: 992px) {
  .hero-section {
    display: flex;
    gap: 2rem;
    padding-top: 10vh;
    justify-content: space-between;
  }
  .hero-section-2 {
    order: -1;
    text-align: left;
    width: 600px;
  }
  .hero-address {
    justify-content: start;
  }
  .hero-icons {
    justify-content: start;
  }
  .education {
    flex-direction: row;
    justify-content: space-evenly;
  }
  footer {
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
  }
  footer > nav {
    flex-direction: row;
    align-items: center;
    margin: 0;
    gap: 2rem;
  }
  .contact-me {
    display: flex;
    gap: 2rem;
    text-align: left;
  }
  .form-title {
    text-align: left;
  }
}
@media (min-width: 1300px) {
  .name-email-container {
    display: flex;
    gap: 1rem;
  }
}
